正在阅读:

网站安全通用防护脚本

5,440

相信大家都知道SQL注入及XSS的危害,但是却不知道怎么防御,还好有大牛为我们写好了防御脚本。

脚本支持ASP/ASPX/PHP,由360的safe3大牛编写,可以自己修改提示语言。使用的时候只用include到相关的文件中即可,脚本附有安装说明。

通用防护脚本

2012年12月26日更新!

2012年12月27日,更新正则表达式避免误报问题,感谢 1511804 宝贵建议。

2013年1月8日,更新了asp防护脚本中referer变量冲突问题。

2013年1月9日,加入了UTF7编码XSS的防护。

2013年1月29日,增强了对XSS的防护。

2013年1月31日,针对某些用户后台上传文件出错的问题,更新了asp的防护代码。

2013年3月15日,增强了对POST的防护。

2013年3月28日,增强了对XSS的防护。

2013年4月25日,对XSS防护加入了通用的防护方法。

ASP版防注入文件下载

点我下载

ASPX版防注入文件下载

点我下载

PHP版防注入文件下载

点我下载

目前有:0条访客评论

    留下脚印,证明你来过。

    *

    *

    流汗坏笑撇嘴大兵流泪发呆抠鼻吓到偷笑得意呲牙亲亲疑问调皮可爱白眼难过愤怒惊讶鼓掌